Subject: bug#52055: 29.0.50; emoji-insert garbles terminal display on tsdh-dark theme

From: Bird <[email-masked]>
Date: Tue, 23 Nov 2021 16:59:54 +0000

Eli Zaretskii <[email-masked]> writes:

>> I can reproduce this with st terminal with lucid toolkit.
>
> I suspect that the terminal emulator does things that Emacs doesn't
> expect.

> First thing to try is to disable auto-composition-mode.

>
> If nothing helps, please post screenshots showing the problematic
> display.
I disabled auto-composition-mode (with M-x auto-composition-mode) in
emacs -Q -nw and then selected the theme.
This is the display after emoji-insert (C-x 8 e i)

After pressing s for smileys,

and after pressing C-g on above

one more C-g

St does double buffering i heard (idk what that means tho 😜) but that
shouldn't be problematic as other terminals do that too.

(unrelated: does copying to xorg's clipboard with emacsclient -nw on a terminal
emulater work? don't think it works for me now so just wanted to ask
to confirm) 
-- 
The part of the world that people find most puzzling is the part called "Me".